package com.dayou.service;
import com.dayou.dto.MajorStaticsDTO;
import com.dayou.dto.PriceFeedbackDTO;
import com.dayou.dto.TaskRecordDTO;
import com.dayou.dto.WorkNodeCommit;
import com.dayou.entity.Major;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.vo.MajorVO;

/**
 * <p>
 * 大中型项目 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-10-30
 */
public interface IMajorService extends IService<Major> {

        Page<MajorVO> selectPage(Page page, MajorVO major,String keyword);

        MajorVO detail(Long id);

        WorkNodeCommit add(Major major);

        Boolean update(Major major);

        Boolean delete(Long id);


    Boolean allocation(TaskRecordDTO<MajorVO> taskRecordDTO);

    Boolean priceFeedback(TaskRecordDTO<PriceFeedbackDTO> taskRecordDTO);

    MajorStaticsDTO staticsInformation();

    Page<MajorVO> xPage(Page page, MajorVO major, String keyword);

    Boolean doRecall(Long id);
}
